Have catchpoint checks for all labs services
Closed, ResolvedPublic

Description

So we can measure uptime!

  1. NFS
  2. Labs puppetmaster
  3. Proxies
  4. Public DNS
  5. Private DNS
  6. Instance availability(?)
  7. Tool Labs availability
  8. LabsDB MySQL replicas
  9. LabsDB MySQL user database ('tools.labsdb')
  10. LabsDB PostgreSQL user database
  11. Wikitech
  12. LDAP
  13. External Networking (to the internet)
yuvipanda updated the task description. (Show Details)
yuvipanda raised the priority of this task from to Needs Triage.
yuvipanda added a project: Cloud-Services.
yuvipanda added subscribers: coren, mark, Ricordisamoa and 2 others.
yuvipanda renamed this task from Have checkpoint checks for all labs services to Have checkpoint checks for all labs services (Tracking).Jul 27 2015, 6:06 PM
yuvipanda set Security to None.

Created subtasks for everything except instance availability.

coren claimed this task.Jul 30 2015, 7:14 PM
coren moved this task from To Do to Doing on the Labs-Sprint-108 board.Aug 10 2015, 4:31 PM
coren moved this task from Doing to To Do on the Labs-Sprint-108 board.
coren moved this task from To Do to Doing on the Labs-Sprint-109 board.Aug 13 2015, 1:20 PM
Andrew added a subscriber: Andrew.Aug 31 2015, 5:57 PM
Andrew renamed this task from Have checkpoint checks for all labs services (Tracking) to Have catchpoint checks for all labs services (Tracking).Sep 2 2015, 6:10 PM
Andrew claimed this task.Sep 8 2015, 3:43 PM
Andrew closed subtask Restricted Task as Resolved.
Andrew moved this task from To do to Doing on the labs-sprint-113 board.Sep 14 2015, 4:09 PM
Andrew moved this task from To do to Doing on the Labs-Sprint-114 board.Sep 14 2015, 5:13 PM

All these tests are now running in catchpoint. I'm not getting alerts for them, though, which suggests that something still needs doing, at least on my end.

Krenair moved this task from Triage to Tracking on the Cloud-Services board.Oct 10 2015, 5:14 PM
Andrew closed this task as Resolved.Oct 28 2015, 4:52 PM
Danny_B moved this task from Tag to Goal on the Tracking board.Jul 18 2016, 12:54 AM
Phabricator_maintenance renamed this task from Have catchpoint checks for all labs services (Tracking) to Have catchpoint checks for all labs services.Aug 13 2016, 9:17 PM